# Form implementation generated from reading ui file 'src/eric7/Network/IRC/IrcServerEditDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_IrcServerEditDialog(object):
    def setupUi(self, IrcServerEditDialog):
        IrcServerEditDialog.setObjectName("IrcServerEditDialog")
        IrcServerEditDialog.resize(400, 158)
        IrcServerEditDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(IrcServerEditDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=IrcServerEditDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.serverEdit = QtWidgets.QLineEdit(parent=IrcServerEditDialog)
        self.serverEdit.setObjectName("serverEdit")
        self.gridLayout.addWidget(self.serverEdit, 0, 1, 1, 2)
        self.label_2 = QtWidgets.QLabel(parent=IrcServerEditDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.portSpinBox = QtWidgets.QSpinBox(parent=IrcServerEditDialog)
        self.portSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.portSpinBox.setMinimum(1)
        self.portSpinBox.setMaximum(65535)
        self.portSpinBox.setProperty("value", 6667)
        self.portSpinBox.setObjectName("portSpinBox")
        self.gridLayout.addWidget(self.portSpinBox, 1, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(238, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout.addItem(spacerItem, 1, 2, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=IrcServerEditDialog)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 2, 0, 1, 1)
        self.passwordEdit = QtWidgets.QLineEdit(parent=IrcServerEditDialog)
        self.passwordEdit.setEchoMode(QtWidgets.QLineEdit.EchoMode.Password)
        self.passwordEdit.setObjectName("passwordEdit")
        self.gridLayout.addWidget(self.passwordEdit, 2, 1, 1, 2)
        self.sslCheckBox = QtWidgets.QCheckBox(parent=IrcServerEditDialog)
        self.sslCheckBox.setObjectName("sslCheckBox")
        self.gridLayout.addWidget(self.sslCheckBox, 3, 0, 1, 3)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=IrcServerEditDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 4, 0, 1, 3)

        self.retranslateUi(IrcServerEditDialog)
        self.buttonBox.accepted.connect(IrcServerEditDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(IrcServerEditDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(IrcServerEditDialog)
        IrcServerEditDialog.setTabOrder(self.serverEdit, self.portSpinBox)
        IrcServerEditDialog.setTabOrder(self.portSpinBox, self.passwordEdit)
        IrcServerEditDialog.setTabOrder(self.passwordEdit, self.sslCheckBox)
        IrcServerEditDialog.setTabOrder(self.sslCheckBox, self.buttonBox)

    def retranslateUi(self, IrcServerEditDialog):
        _translate = QtCore.QCoreApplication.translate
        IrcServerEditDialog.setWindowTitle(_translate("IrcServerEditDialog", "IRC Server"))
        self.label.setText(_translate("IrcServerEditDialog", "Server:"))
        self.serverEdit.setToolTip(_translate("IrcServerEditDialog", "Enter the host name of the IRC server"))
        self.label_2.setText(_translate("IrcServerEditDialog", "Port:"))
        self.portSpinBox.setToolTip(_translate("IrcServerEditDialog", "Enter the port number"))
        self.label_3.setText(_translate("IrcServerEditDialog", "Password:"))
        self.passwordEdit.setToolTip(_translate("IrcServerEditDialog", "Enter the server password"))
        self.sslCheckBox.setToolTip(_translate("IrcServerEditDialog", "Select to use an SSL encrypted connection"))
        self.sslCheckBox.setText(_translate("IrcServerEditDialog", "Use Encrypted Connection (SSL)"))
